# $Revision: 1.27 $, $Date: 2012/06/30 15:12:33 $
Summary:	libgksu library
Summary(pl.UTF-8):	Biblioteka libgksu
Name:		libgksu
Version:	2.0.12
Release:	6
License:	LGPL v2
Group:		Libraries
Source0:	http://people.debian.org/~kov/gksu/%{name}-%{version}.tar.gz
# Source0-md5:	c7154c8806f791c10e7626ff123049d3
Patch0:		%{name}-configure.patch
Patch1:		%{name}-helper.patch
Patch2:		am.patch
Patch3:		automake-1.11.patch
URL:		http://www.nongnu.org/gksu/
BuildRequires:	GConf2-devel
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2:2.12.0
BuildRequires:	gtk-doc >= 1.6
BuildRequires:	intltool
BuildRequires:	libgnome-keyring-devel
BuildRequires:	libgtop-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	startup-notification-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libgksu library.

%description -l pl.UTF-8
Biblioteka libgksu.

%package devel
Summary:	Header files for libgksu library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libgksu
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	GConf2-devel
Requires:	glib2-devel >= 1:2.12.0
Requires:	libgnome-keyring-devel
Requires:	startup-notification-devel

%description devel
Header files for libgksu library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libgksu.

%package static
Summary:	Static libgksu library
Summary(pl.UTF-8):	Statyczna biblioteka libgksu
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libgksu library.

%description static -l pl.UTF-8
Statyczna biblioteka libgksu.

%package apidocs
Summary:	libgksu library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libgksu
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
libgksu library API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libgksu.

%package utils
Summary:	GKSu properties utility
Summary(pl.UTF-8):	Aplikacja właściwości GKSu
Group:		X11/Applications
Requires(post,preun):	GConf2
Requires:	%{name} = %{version}-%{release}

%description utils
This program allows you to define how GKSu grants the privileges and
locks input devices.

%description utils -l pl.UTF-8
Ten program pozwala zdefiniować jak GKSu przyznaje uprawnienia i
blokuje urządzenia wejściowe.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__gtkdocize} --docdir docs/
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libgksu2.la

%find_lang libgksu

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post utils
%gconf_schema_install gksu.schemas

%preun utils
%gconf_schema_uninstall gksu.schemas

%files -f libgksu.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%attr(755,root,root) %{_libdir}/libgksu2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgksu2.so.0
%dir %{_libdir}/libgksu
%attr(755,root,root) %{_libdir}/libgksu/gksu-run-helper

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgksu2.so
%{_includedir}/libgksu
%{_pkgconfigdir}/libgksu2.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgksu2.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libgksu

%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gksu-properties
%{_desktopdir}/gksu-properties.desktop
%dir %{_datadir}/libgksu
%{_datadir}/libgksu/gksu-properties.ui
%{_mandir}/man1/gksu-properties.1*
%{_pixmapsdir}/gksu.png
%{_sysconfdir}/gconf/schemas/gksu.schemas

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libgksu.spec,v $
Revision 1.27  2012/06/30 15:12:33  kiesiu
- libgnome-keyring-devel in -devel subpackage; rel. 6

Revision 1.26  2012/06/30 15:05:20  kiesiu
- patch to build with automake >= 1.11
- gnome-keyring-devel -> libgnome-keyring-devel
- rel. 5

Revision 1.25  2011/04/06 14:06:48  wiget
- Makefile fix
- rel. 4

Revision 1.24  2011/04/06 13:47:33  wiget
- drop libtool file
- rel. 3

Revision 1.23  2010/07/17 14:57:56  baggins
- rel 2
- make it work on 64bit systems

Revision 1.22  2010/01/30 19:42:11  sparky
- BR: docbook-dtd412-xml

Revision 1.21  2010/01/30 18:49:47  megabajt
- updated to 2.0.12
- added -configure.patch (fixes build)
- added -apidocs subpackage

Revision 1.20  2010/01/29 20:46:25  arekm
- release 3

Revision 1.19  2010/01/29 08:27:05  amateja
- release 2

Revision 1.18  2009/06/10 07:09:33  amateja
- updated to 2.0.9

Revision 1.17  2009/02/23 22:06:41  arekm
- release 3

Revision 1.16  2008/11/06 17:03:03  arekm
- release 2

Revision 1.15  2008-04-24 11:41:19  glen
- release 1

Revision 1.14  2008-01-04 00:57:52  zbyniu
- up to 2.0.5

Revision 1.13  2007-03-30 21:37:18  qboosh
- fixed encoding, -utils descs from summaries

Revision 1.12  2007/03/16 12:53:56  czarny
- BR intltool and gettext-devel for internationalization

Revision 1.11  2007/03/16 12:34:21  czarny
- uncommented %find_lang

Revision 1.10  2007/03/16 11:49:23  czarny
- up to 2.0.4
- subpackage utils
- todo added
- BR's based on clean chroot

Revision 1.9  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.8  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.7  2006/06/18 11:25:16  freetz
- 1.3.8, updated deps

Revision 1.6  2005/12/15 16:25:20  freetz
- 1.3.7

Revision 1.5  2005/08/10 13:35:46  paladine
- updated to 1.3.3

Revision 1.4  2004/10/25 22:26:49  dzeus
- up to 1.2.5a (thx Mateusz Murawski)

Revision 1.3  2004/09/10 21:15:47  grzegol
- updated to 1.2.4

Revision 1.2  2004/08/29 15:14:41  qboosh
- BR: pkgconfig

Revision 1.1  2004/08/28 21:48:30  grzegol
- new
